Grants, vesting & distributions
Bulk Update Vestings
Delegates to grantCalculationsService.updateVestingsInBulk to change vesting units and dates by grant and sequence.
POSThttps://api.toku.com/tga/bulk-update-vestings
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-update-vestings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"vestingUpdates": [
{
"grantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sequence": 0,
"vestedUnits": "string",
"vestingDate": "string"
}
]
}'200 response
{
"success": true,
"message": "string",
"updatedVestingIds": [
"string"
],
"vestedVestingIds": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
vestingUpdatesobject[]requiredAllowed: 1 to 500 items
Show child attributes
grantIdstring<uuid>requiredsequenceintegerrequiredAllowed: 0 to 10000
vestedUnitsstringrequiredAllowed: 1 to 100 characters
vestingDatestringrequiredAllowed: 1 to 100 characters
Response
200Successful response
successbooleanrequiredmessagestringupdatedVestingIdsstring[]vestedVestingIdsstring[]400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits